#pragma once

#include <vector>
#include "VideoFrame.h"

class CStructureMotion
{
public:
	CStructureMotion(void);
	~CStructureMotion(void);

public:
	void Load(const char* camFile, const char* imgFile, const char* depthFile);

	void CreateFrames(int iCount);

	CVideoFrame* Frame(int i){
		return m_frames.at(i);
	}

protected:
	std::vector<CVideoFrame*> m_frames;
};
